# Urchin Tracking Module

*Article Topics:* [*Tracking*](/getting-started/common-topics/tracking.md)

## What are UTM parameters?

UTM parameters, or Urchin Tracking Module parameters, are text you can add to the end of a URL to help track where website traffic comes from.&#x20;

### Types of UTM parameters

UTM parameters are used when tracking traffic in URLs, and there are five main types. Each type is identified by a specific tag and serves a unique purpose in identification.

* **utm\_source** - Identifies the source of your traffic
  * <pre data-overflow="wrap"><code>utm_source=facebook
    </code></pre>
* **utm\_medium** - Identifies what type of link was used, such as email or pay-per-click advertising
  * <pre data-overflow="wrap"><code>utm_medium=ppc
    </code></pre>
* **utm\_campaign** - Identifies a specific product promotion or strategic campaign.
  * <pre data-overflow="wrap"><code>utm_campaign=spring_sale
    </code></pre>
* **utm\_term** - Identifies search terms
  * <pre data-overflow="wrap"><code>utm_term=running+shoes
    </code></pre>
* **utm\_content** - Identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads.
  * <pre data-overflow="wrap"><code>utm_content=textlink
    </code></pre>
  * <pre data-overflow="wrap"><code>utm_content=logolink 
    </code></pre>

## How are UTM parameters used within NATS?

UTM Parameters aid in the NATS tracking processing by providing additional information&#x20;

### UTM Parameters in Tracking Links

When creating tracking links, you can append any combination of the parameters in any order, but they must come **after** the [NATS Code](/using-nats/nats-admin-features/linkcodes/nats-code.md).&#x20;

This is achieved by including them directly after the question mark (?) following the NATS Code in the URL.

#### Example Uses

1. UTM Parameters appended to a traditional tracking link

{% code overflow="wrap" fullWidth="false" %}

```
https://<linkdomain>/track/<natscode>?utm_source=linkedin&utm_medium=social&utm_campaign=industry_report_2026
```

{% endcode %}

2. UTM Parameters appended to a traditional tracking link

{% code overflow="wrap" %}

```
https://<linkdomain>/track/<natscode>?utm_source=partner_site&utm_medium=email&utm_campaign=march_promo&utm_content=top_red_button
```

{% endcode %}

3. UTM Parameters appended to a traditional tracking link followed by passthrough variables

{% code overflow="wrap" %}

```
https://<linkdomain>/track/<natscode>?utm_source=partner_site&utm_medium=affiliate&utm_campaign=summer_collab&nats_at[subscription_passthrough1]=123&nats_at[subscription_passthrough2]=456
```

{% endcode %}

4. UTM Parameters appended to a deeplinked tracklink to the join page.

{% code overflow="wrap" %}

```
https://<linkdomain>/track/<natscode>/join?utm_source=partner_site&utm_medium=affiliate&utm_campaign=summer_collab
```

{% endcode %}

### Custom UTM Parameters

In addition to the five standard types, NATS allows you to create your own parameters. To ensure they are recognized by NATS, all custom parameters must begin with the `utm_` prefix.

* utm\_custom
* utm\_standard

### Display

By default, UTM data is captured in the background. To make these parameters visible to admins when viewing a member's subscription, they must be explicitly enabled in your settings.

Navigate to the **Display** section of the Configuration Admin and update the **Urchin Tracking Module Display Parameters** setting with the standard and any custom UTM parameters you want displayed.&#x20;

### Postbacks

These parameters play a significant role in both admin user management postbacks and affiliate postbacks.&#x20;

#### Affiliate Postbacks

Affiliates can include UTM parameters in their postbacks. An admin must configure the `AFFILIATE_ALLOW_POST_URM` setting within the Affiliate section of the Configuration Admin

#### Usermanagement Scripts

UTM Parameters are prominently displayed in Admin postbacks, ensuring that tracking information is thorough and precise across various administrative interactions.

## Related Articles

{% content-ref url="/pages/vGrWw1iOiv51mrKAkiOc" %}
[Tracking](/getting-started/common-topics/tracking.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/using-nats/one-off-articles/urchin-tracking-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
